<div class="container">
  <h1>Book Application</h1>
  <form>
    <div class="form-group">
      <label>Book Name</label>
      <input #title type="text" class="form-control" placeholder="title" name="title">
    </div>
    <div class="form-group">
      <label>Author</label>
      <input #author type="text" class="form-control" placeholder="author" name="author">
    </div>
    <div class="form-group">
      <label>ISBN</label>
      <input #isbn type="text" class="form-control" placeholder="isbn" name="isbn">
    </div>
    <div class="form-group">
      <label>Description</label>
      <input #descrip type="text" class="form-control" placeholder="description" name="descrip">
    </div>
      <button (click)="addTitle(title.value,author.value,isbn.value,descrip.value)" class="mb-3">Add Title</button>
      <div *ngFor="let book of bookArray" class="mb-3">
        Book Name : {{book.title }}  <br>
        Author : {{book.author}} <br>
        ISBN : {{book.isbn}} <br>
        Description : {{book.descrip}}
         <br>
          <button (click)="removeTitle(book)">Delete</button>
          <button (click)="update(book)">Update</button>
        </div>
   </form>
</div>


       